## org.eclipse.datatools.sqltools.data.internal.core.common
Interface Output

All Known Implementing Classes:
  OutputItemAdapter

    public interface Output

Author:
  groux

Field Summary
`static int` `STATUS_CRITICAL_ERROR`
`static int` `STATUS_FAILED`
`static int` `STATUS_RUNNING`
`static int` `STATUS_STARTED`
`static int` `STATUS_SUCCEEDED`
`static int` `STATUS_TERMINATED`
`static int` `STATUS_WARNING`

Method Summary
`void` `write(java.lang.String s)`

Field Detail

### STATUS_CRITICAL_ERROR

    static final int STATUS_CRITICAL_ERROR

See Also:
  Constant Field Values

### STATUS_FAILED

    static final int STATUS_FAILED

See Also:
  Constant Field Values

### STATUS_TERMINATED

    static final int STATUS_TERMINATED

See Also:
  Constant Field Values

### STATUS_WARNING

    static final int STATUS_WARNING

See Also:
  Constant Field Values

### STATUS_SUCCEEDED

    static final int STATUS_SUCCEEDED

See Also:
  Constant Field Values

### STATUS_RUNNING

    static final int STATUS_RUNNING

See Also:
  Constant Field Values

### STATUS_STARTED

    static final int STATUS_STARTED

See Also:
  Constant Field Values

Method Detail

### write

    void write(java.lang.String s)